Package com.usatiuk.objects.snapshot

# Interface Snapshot<K extends Comparable<K>,V>

All Superinterfaces:
  `AutoCloseable`

public interface Snapshot<K extends Comparable<K>,V> extends AutoCloseable

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`List<CloseableKvIterator<K,MaybeTombstone<V>>>`
`getIterator(IteratorStart start, K key)`
`long`
`id()`
`Optional<V>`
`readObject(K name)`

## Method Details

### getIterator

List<CloseableKvIterator<K,MaybeTombstone<V>>> getIterator(IteratorStart start, K key)

### readObject

@Nonnull Optional<V> readObject(K name)

### id

long id()

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`